#!/bin/sh
#------------------------------------------------------------------------------
# Setup groupware webservices connection properties and WAR file for webapp (SSL variant)
#------------------------------------------------------------------------------

export LANG=en_US.UTF-8

CLASSPATH=.:./WEB-INF/classes
for i in WEB-INF/lib/*.jar
do
  CLASSPATH=$CLASSPATH:$i
done;

java -cp $CLASSPATH com.reardencommerce.apps.gw.bridge.domino.server.WebservicesGroupwareConnectionProperties SSL

echo "****************************************************************"
echo "Creating WAR file. "
echo "****************************************************************"

cp -f TrustedCerts.class WEB-INF/classes/
jar cvf groupwareSSL.war index.html version.html *.PNG WEB-INF/

echo "*****************************************************************"
echo "Deploy groupwareSSL.war to webapps folder."
echo "*****************************************************************"
