#!/bin/sh
#------------------------------------------------------------------------------
# Setup groupware webservices connection properties and WAR file for webapp
#------------------------------------------------------------------------------

export LANG=en_US.UTF-8

CLASSPATH=.:./WEB-INF/classes
for i in WEB-INF/lib/*.jar
do
  CLASSPATH=$CLASSPATH:$i
done;

java -cp $CLASSPATH com.reardencommerce.apps.gw.bridge.domino.server.WebservicesGroupwareConnectionProperties

echo "****************************************************************"
echo "Creating WAR file. "
echo "****************************************************************"

jar cvf groupware.war index.html version.html *.PNG WEB-INF/

echo "*****************************************************************"
echo "Deploy groupware.war to webapps folder."
echo "*****************************************************************"
