@echo off 
REM ------------------------------------------------------------------------------
REM  Setup groupware webservices connection properties and WAR file for webapp (SSL variant)
REM ------------------------------------------------------------------------------

set LIB_DIR=%~dp0%WEB-INF\lib
set CLASSPATH=.;.\WEB-INF\classes

PUSHD "%LIB_DIR%
FOR %%G IN (*.*) DO CALL:APPEND_TO_CLASSPATH %%G
POPD

java -cp %CLASSPATH% com.reardencommerce.apps.gw.bridge.domino.server.WebservicesGroupwareConnectionProperties SSL

echo "****************************************************************"
echo "Creating WAR file. "
echo "****************************************************************"

copy TrustedCerts.class WEB-INF\classes\
jar cvf groupwareSSL.war index.html version.html *.PNG WEB-INF\

echo "*****************************************************************"
echo "Deploy groupwareSSL.war to webapps folder."
echo "*****************************************************************"

: APPEND_TO_CLASSPATH
set filename=%~1
set suffix=%filename:~-4%
if %suffix% equ .jar set CLASSPATH=%CLASSPATH%;"%LIB_DIR%\%filename%"
